body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column; /* Ajouté pour permettre un empilement vertical */
}

.toolbar {
    width: 150px;
    padding: 10px;
    border-right: 1px solid #000;
    display: flex;
    flex-direction: column;
}

.hidden {
    display: none;
}

.toolbar-item {
    margin-bottom: 10px;
    cursor: grab;
    text-align: center;
    position: relative;
}

.toolbar-item img {
    width: 100px;
    height: 60px;
    display: block;
    margin: 0 auto;
}

.delete-btn {
    position: absolute;
    top: 0;
    right: 0;
    background: red;
    color: white;
    border: none;
    cursor: pointer;
}

.option-item {
    cursor: pointer;
    padding: 5px;
    border: 1px solid #ddd;
    margin: 5px 0;
}

.option-item:hover {
    background-color: #f0f0f0;
}

.container {
    flex-grow: 1;
    width: calc(100% - 160px);
    height: 600px;
    border: 1px solid #000;
    position: relative;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-bottom: 20px; /* Ajouté pour espacer le conteneur du groupe de boutons */
}

.meuble {
    width: 100px;
    height: 60px;
    position: absolute;
    cursor: move;
    background-size: cover;
    background-position: center;
    border: 1px solid #000;
    transform-origin: center center;
}

.rotate-btn {
    position: absolute;
    bottom: 0;
    right: 0;
    background: blue;
    color: white;
    border: none;
    cursor: pointer;
}

.selected {
    border: 2px solid red;
}

.user-id {
    position: fixed;
    top: 10px;
    right: 10px;
    font-size: 14px;
    color: #333;
    background-color: #fff; /* Optionnel : pour s'assurer que le texte est lisible */
    padding: 5px; /* Optionnel : pour ajouter un peu de padding autour du texte */
    border: 1px solid #ccc; /* Optionnel : pour ajouter une bordure */
    border-radius: 5px; /* Optionnel : pour arrondir les coins */
}

.model-controls {
    display: flex;
    flex-direction: column;
    align-items: center; /* Pour centrer les boutons horizontalement */
}

.model-controls button {
    margin-bottom: 10px; /* Ajoute de l'espace entre les boutons */
}